LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Closed Thread
  Search this Thread
Old 08-04-2017, 03:46 PM   #2656
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,710

Rep: Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668

e2fsprogs-1.43.5:

https://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git
https://www.kernel.org/pub/linux/ker...-1.43.5.tar.xz
 
1 members found this post helpful.
Old 08-04-2017, 04:07 PM   #2657
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,264

Rep: Reputation: 394Reputation: 394Reputation: 394Reputation: 394
git-2.14
https://github.com/git/git/archive/v2.14.0.tar.gz
 
3 members found this post helpful.
Old 08-04-2017, 11:55 PM   #2658
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,264

Rep: Reputation: 394Reputation: 394Reputation: 394Reputation: 394
clean install from august updates iso ...system no boot.

changelog of glibc-2.26 says some parts of nss goes "deprecated" , probably need this on build.

Quote:
--enable-obsolete-nsl

Last edited by USUARIONUEVO; 08-05-2017 at 12:34 AM.
 
Old 08-05-2017, 01:51 AM   #2659
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 994

Rep: Reputation: 484Reputation: 484Reputation: 484Reputation: 484Reputation: 484
multilib glibc-2.26 works here but I use slackpkg+
 
Old 08-05-2017, 03:25 AM   #2660
rworkman
Slackware Contributor
 
Registered: Oct 2004
Location: Tuscaloosa, Alabama (USA)
Distribution: Slackware
Posts: 2,402

Original Poster
Rep: Reputation: 976Reputation: 976Reputation: 976Reputation: 976Reputation: 976Reputation: 976Reputation: 976Reputation: 976
It's (probably going to (and should)) work fine after *upgrading* from older -current, but a fresh install is not expected to work. I'm not sure that this is the *best* fix yet, so maybe it's just a workaround (more investigation/testing is needed - we're working on it), but for now, edit /etc/nsswitch.conf and replace the two instances of "compat" with "files"
 
1 members found this post helpful.
Old 08-05-2017, 04:33 AM   #2661
GazL
LQ Guru
 
Registered: May 2008
Posts: 5,263
Blog Entries: 18

Rep: Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016Reputation: 3016
Quote:
Originally Posted by USUARIONUEVO View Post
clean install from august updates iso ...system no boot.

changelog of glibc-2.26 says some parts of nss goes "deprecated" , probably need this on build.
Or use the new standalone implementation a la tirpc:
https://github.com/thkukuk/libnsl

I don't know which is the way to go, but if glibc are deprecating it then that suggests they think people should be using the standalone library.

I can remember having to add -lnsl to a gophernicus build recently, so I'll definitely need one or the other.
 
1 members found this post helpful.
Old 08-05-2017, 09:05 AM   #2662
Darth Vader
Senior Member
 
Registered: May 2008
Location: Romania
Distribution: DARKSTAR Linux 2008.1
Posts: 2,727

Rep: Reputation: 1242Reputation: 1242Reputation: 1242Reputation: 1242Reputation: 1242Reputation: 1242Reputation: 1242Reputation: 1242Reputation: 1242
Quote:
Originally Posted by Didier Spaier View Post
Let's break everything again
Done!
 
1 members found this post helpful.
Old 08-05-2017, 12:00 PM   #2663
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,264

Rep: Reputation: 394Reputation: 394Reputation: 394Reputation: 394
@rworkman

Thanks !

In the file /etc/nssswitch.conf

I comment this

Quote:
passwd: compat
group: compat
And uncomment this three lines ... just up of the other two

Quote:
passwd: files nis
shadow: files nis
group: files nis



Original
# passwd: files nis
# shadow: files nis
# group: files nis

passwd: compat
group: compat

After changes
passwd: files nis
shadow: files nis
group: files nis

#passwd: compat
#group: compat

But probably can remove totally the two lines "compat"
 
Old 08-06-2017, 11:24 AM   #2664
mats_b_tegner
Member
 
Registered: Nov 2009
Location: Gothenburg, Sweden
Distribution: Slackware
Posts: 627

Rep: Reputation: 387Reputation: 387Reputation: 387Reputation: 387
Vim with Ruby Support

Is it possible to add Ruby support to Vim/GVim? E.g:
Code:
./configure \
  $* \
  --prefix=/usr \
  --enable-pythoninterp \
  --with-python-config-dir=/usr/lib${LIBDIRSUFFIX}/python$PYVER/config \
  --enable-perlinterp \
  --enable-rubyinterp \
  --disable-tclinterp \
  --enable-multibyte \
  --enable-cscope \
  --with-features=huge \
  --with-compiledby="<volkerdi@slackware.com>" \
  --build=$ARCH-slackware-linux
}
Plugins such as LustyExplorer and LustyJuggler needs Vim to be compiled with Ruby interpretation.
https://vim.sourceforge.io/scripts/s...script_id=1890
https://vim.sourceforge.io/scripts/s...script_id=2050

Last edited by mats_b_tegner; 08-06-2017 at 11:31 AM.
 
1 members found this post helpful.
Old 08-07-2017, 09:43 AM   #2665
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,710

Rep: Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668
Mesa 17.1.6:

https://www.mesa3d.org/relnotes/17.1.6.html
ftp://ftp.freedesktop.org/pub/mesa/mesa-17.1.6.tar.xz
 
1 members found this post helpful.
Old 08-07-2017, 01:48 PM   #2666
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,710

Rep: Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668
gparted-0.29.0:

https://sourceforge.net/projects/gpa...README.md/view
https://sourceforge.net/projects/gpa...ar.gz/download
 
1 members found this post helpful.
Old 08-07-2017, 02:34 PM   #2667
zakame
Member
 
Registered: Apr 2012
Distribution: Debian, Ubuntu, Slackware
Posts: 258

Rep: Reputation: 162Reputation: 162
perl might need a rebuild so it doesn't rely on the (now-removed) xlocale.h in glibc 2.26. See https://sourceware.org/glibc/wiki/Re...27xlocale.h.27
 
3 members found this post helpful.
Old 08-07-2017, 02:36 PM   #2668
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,710

Rep: Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668
pango-1.40.8:

http://ftp.gnome.org/pub/GNOME/sourc...go-1.40.8.news
http://ftp.gnome.org/pub/GNOME/sourc...-1.40.8.tar.xz

gdk-pixbuf-2.36.8:

http://ftp.gnome.org/pub/gnome/sourc...uf-2.36.8.news
http://ftp.gnome.org/pub/gnome/sourc...-2.36.8.tar.xz

Last edited by gmgf; 08-07-2017 at 02:40 PM.
 
1 members found this post helpful.
Old 08-07-2017, 08:11 PM   #2669
USUARIONUEVO
Senior Member
 
Registered: Apr 2015
Posts: 1,264

Rep: Reputation: 394Reputation: 394Reputation: 394Reputation: 394
Its possible update upower ?

upower-0.99.5
https://upower.freedesktop.org/relea...-0.99.5.tar.xz
 
1 members found this post helpful.
Old 08-08-2017, 01:39 AM   #2670
gmgf
Senior Member
 
Registered: Jun 2012
Location: Bergerac, France
Distribution: Slackware
Posts: 1,710

Rep: Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668Reputation: 668
gtk+-3.22.18:

http://ftp.gnome.org/pub/gnome/sourc...+-3.22.18.news
http://ftp.gnome.org/pub/gnome/sourc...3.22.18.tar.xz
 
1 members found this post helpful.
  


Closed Thread


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] how to show the current time at the top in the current shell Always ? rohitchauhan Linux - General 5 04-09-2014 04:05 PM
Slackware ARM (current) epic mistake: the current Android kernels are kicked out! Darth Vader Slackware 16 08-25-2013 05:36 PM
[SOLVED] setup fails on most current Slackware-current March 26, 2012 AlleyTrotter Slackware 15 04-09-2012 07:05 AM
Observation of Feb -current vs March -current Hangaber Slackware 14 03-12-2010 09:26 AM
cvs diff the most current and second last current version powah Linux - Software 1 03-30-2006 02:02 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 12:31 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration